/*
    
  This file is a part of Shellp, a 'shell helper' library.
  
  Copyright (C) 2011-2012 Jori Liesenborgs
  
  Contact: jori.liesenborgs@gmail.com

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  
  USA

*/

#ifndef SHELLP_CMDDEFINE_H

#define SHELLP_CMDDEFINE_H

#include "shellconfig.h"
#include "shellcommand.h"
#include "shellcmdstringarg.h"

namespace shellp
{

class SHELLP_IMPORTEXPORT CmdDefine : public ShellCommand
{
public:
	CmdDefine(const std::string &cmdName);
	~CmdDefine();

	bool execute();
private:
	ShellCmdStringArg *m_pNameArg;
	ShellCmdStringArg *m_pValueArg;
};

class SHELLP_IMPORTEXPORT CmdListDefines : public ShellCommand
{
public:
	CmdListDefines(const std::string &cmdName);
	~CmdListDefines();

	bool execute();
};

} // end namespace
#endif // SHELLP_CMDDEFINE_H
