/*
    
  This file is a part of Shellp, a 'shell helper' library.
  
  Copyright (C) 2011-2012 Jori Liesenborgs
  
  Contact: jori.liesenborgs@gmail.com

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  
  USA

*/

#ifndef SHELLP_CMDEVAL_H

#define SHELLP_CMDEVAL_H

#include "shellconfig.h"
#include "shellcommand.h"

namespace shellp
{

class ShellCmdStringArg;
class ShellCmdRealArg;

class SHELLP_IMPORTEXPORT CmdEval : public ShellCommand
{
public:
	CmdEval(const std::string &cmdName, bool showResult, bool store);
	~CmdEval();
	bool execute();
private:
	ShellCmdStringArg *m_pVarName;
	ShellCmdStringArg *m_pExpression;
	bool m_showResult;
};

class SHELLP_IMPORTEXPORT CmdEvalList : public ShellCommand
{
public:
	CmdEvalList(const std::string &cmdName);
	~CmdEvalList();
	bool execute();
private:
	void list(bool isConst, const std::vector<std::string> &names, const std::vector<double> &values);
};

class SHELLP_IMPORTEXPORT CmdEvalClearVar : public ShellCommand
{
public:
	CmdEvalClearVar(const std::string &cmdName);
	~CmdEvalClearVar();
	bool execute();
};

} // end namespace

#endif // SHELLP_CMDEVAL_H
